package uam.patrones.arreglame.clases;

public class Cliente {

	private String RFC;
	private String nombre;
	
	private Celular modeloCelular;
	private Numero numero;
	
	public Cliente (String rfc, String nombre, String claveCel, 
			String  modeloCel, String numero, int region) {
		
		this.RFC = rfc;
		this.nombre = nombre;
		
		this.modeloCelular = new Celular();
		this.modeloCelular.setClave(claveCel);
		this.modeloCelular.setModelo(modeloCel);
		
		this.numero = new Numero();
		this.numero.setNumero(numero);
		this.numero.setRegion(region);

	}
	
	public String getRFC() {
		return RFC;
	}
	public void setRFC(String rFC) {
		RFC = rFC;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public Celular getModeloCelular() {
		return modeloCelular;
	}
	public void setModeloCelular(Celular modeloCelular) {
		this.modeloCelular = modeloCelular;
	}
	public Numero getNumero() {
		return numero;
	}
	public void setNumero(Numero numero) {
		this.numero = numero;
	}
	
	
	
}
