package uam.patrones.arreglame.principal;

import uam.patrones.arreglame.clases.Cliente;
import uam.patrones.arreglame.operaciones.OperacionesClienteATT;
import uam.patrones.arreglame.operaciones.OperacionesClienteMovistar;
import uam.patrones.arreglame.operaciones.OperacionesClienteTelcel;

public class Principal {

	public static void main(String[] args) {
		
		/*¿Existe una mejor forma de instanciar objetos?*/
		Cliente clienteATT = new Cliente("1234ABC","Nombre Cliente","AT01",
							"MOD001","12345-6789",2);
		
		Cliente clienteMOVI = new Cliente("1234ABC","Nombre Cliente","MV01",
				"MOD001","12345-6789",2);
				
    	Cliente clienteNEX = new Cliente("1234ABC","Nombre Cliente","NX01",
						"MOD001","12345-6789",2);
    	
    	Cliente clienteTEL = new Cliente("1234ABC","Nombre Cliente","TL01",
				"MOD001","12345-6789",2);
    	
    	/*Es aceptable crear un objeto por cada tipo de operación*/
    	OperacionesClienteATT att = new OperacionesClienteATT();
    	OperacionesClienteTelcel telcel = new OperacionesClienteTelcel();
    	OperacionesClienteMovistar movi = new OperacionesClienteMovistar();

    	
    	/*Hubo observaciones sobre invocar a todos los métodos necesarios*/
    	/*¿Será posible llamar a solo uno y que se encargue de todo el proceso?*/
    	att.validarCelular(clienteATT);
    	att.validarCelular(clienteATT);
    	att.registrarCompraCliente(clienteATT);
    	att.registrarClienteNumero(clienteATT);
		

	}

}
